
/*  This code was written for the Stitch the Loop e-textiles curriculum by the
Exploring Computer Science e-textiles team. ECS 2018 GPL V3 for non commercial use.  
ECS 2018 CC- BY NC SA.  */

/*
◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇
This program is an EXAMPLE of the many possible solutions.  This code will compile as is.
◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇◇

*/
/*  STUDENT META HERE
STUDENT NAME(S)
 Date Written
Brief description of what program does here.
*/

/*
  Not sure if your Circuit Playground is working right? 
  Use this code to check it.   
  Most Arduinos have an on-board LED you can control. 
  On the Circuit Playground, it is attached to digital pin 13. 
  So here we are seeing if the Circuit Playground's little 
  light blinks on and off. If it doesn't, we have a problem. 
  
  Blink Code
  Turns on an LED on for one second, 
  then off for one second, repeatedly.
 */
// The first section is where to declare global objects and call up additional files the program needs to use.  
int led = 13;

void setup() {
  // The second section is for things that only need to be done once at the beginning of the program
  pinMode(led, OUTPUT);
}

void loop() {
  /* The third section is for things that happen repeatedly in the program loop
while the program is running. The code is executed in the order coded. */

  digitalWrite(led, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(1000);              // wait for a second
  digitalWrite(led, LOW);    // turn the LED off by making the voltage LOW
  delay(1000);              // wait for a second
}

// The fourth section is for functions that are called up by the third section.

